콘텐츠로 건너뛰기

외부 ID 이름 바꾸기

post

/users/external_ids/rename

이 엔드포인트를 사용하여 사용자의 외부 ID 이름을 바꿀 수 있습니다.

요청당 최대 50개의 이름 바꾸기 오브젝트를 보낼 수 있습니다.

이 엔드포인트는 사용자에게 새(기본) external_id를 설정하고 기존 external_id를 더 이상 사용되지 않도록 설정합니다. 즉, 더 이상 사용되지 않는 ID가 제거될 때까지는 두 external_id 중 어느 것으로도 사용자를 식별할 수 있습니다. 외부 ID를 여러 개 사용하면 마이그레이션 기간을 둘 수 있으므로, 이전 외부 ID 명명 스키마를 사용하는 레거시 버전의 앱이 중단되지 않습니다. 마이그레이션 기간 동안 프로필은 두 식별자 모두에서 완전히 작동합니다. Braze SDK, REST API, 메시징 파이프라인은 더 이상 사용되지 않는 ID가 명시적으로 제거될 때까지 두 ID 중 어느 것으로든 사용자를 계속 참조할 수 있습니다.

이전 명명 스키마를 더 이상 사용하지 않게 되면 /users/external_ids/remove 엔드포인트를 사용하여 더 이상 사용되지 않는 외부 ID를 제거하는 것을 적극 권장합니다.

Endpoint reference

This reference is generated from the OpenAPI specification for this endpoint. To run the endpoint, copy the generated cURL example and send it from your terminal or Postman. You can also download the raw OpenAPI spec for this page at /docs/ko/assets/api/openapi/users_external_ids_rename.yaml. Use this spec to validate that your requests include the correct parameters, fields, and structure before you send them. To learn how, see Use OpenAPI schemas for request validation.

New Stuff!